Cannot send mails with special characters in local part
Description

Currently it is impossible to send mails with special characters in their local part, e.g. john.l6tzsch@example.org. Swiftmailer fails with
the following error:

[ Swift_RfcComplianceException ]

Address in mailbox given [john.ld6tzsch@example.org] does not comply with RFC 2822, 3.6.2.
thrown in file er/lib/classes/Swift/Mime/Headers/MailboxHeader.php

in line 345

The mentioned REC 2822 has been extended by RFC 5335 which is supported by Swiftmailer 6.x and newer, thus an upgrade is
necessary. This implies a few breaking changes however.

Related issues:

Related to TYPO3 Core - Bug #73616: Different standards used in GeneralUtilit... Closed 2016-02-23
Related to TYPO3 Core - Bug #87077: Scheduler: Notification email address (e.... Closed 2018-12-04
Related to TYPO3 Core - Feature #90370: Use Egulias\EmailValidator for email ... Closed 2020-02-13
History

#1 - 2017-06-09 12:47 - Mathias Brodala

- Related to Bug #73616: Different standards used in GeneralUltility::validEmail (RFC 3696) and swiftmailers Swift Mime_Grammar-class (RFC 2822)
added

#2 - 2018-09-06 14:23 - Susanne Moog

- Target version changed from 9 LTS to Candidate for patchlevel

#3 - 2018-12-07 21:46 - Georg Ringer

- Related to Bug #87077: Scheduler: Notification email address (e.g. system report) does not allow a local mail address added

#4 - 2019-10-07 22:21 - Riccardo De Contardi

what should be done here? Swiftmailer has been removed on version 10
https://docs.typo3.org/c/typo3/cms-core/master/en-us/Changelog/10.0/Breaking-88643-RemovedSwiftmailerswiftmailerDependency.html

#5 - 2019-10-08 17:22 - Mathias Brodala
The issue is still present in TYPO3v10. When | use the "Test Mail Setup" | get this:

Mail not sent
Given address is not a valid email address.

#6 - 2019-10-08 19:53 - Georg Ringer

There are 2 issues currently:

- \TYPO3\CMS\Core\Utility\GeneralUtility::validEmail fails with that
- \Symfony\Component\Mime\Encoder\ldnAddressEncoder::encodeString throws an exception
https://tools.ietf.org/html/rfc2822
https://tools.ietf.org/html/rfc5335
https://github.com/swiftmailer/swiftmailer/commit/e7cf4bd807b44be83d8922b3a1abe4d11a3fb15a
https://github.com/swiftmailer/swiftmailer/blob/v6.0.0/CHANGES#L4
https://docs.typo3.org/c/typo3/cms-core/master/en-us/Changelog/10.0/Breaking-88643-RemovedSwiftmailerswiftmailerDependency.html

the latter has following comment

This encoder does not support email addresses with non-ASCII characters in

local-part (the substring before @). To send to such addresses, use

Ut f8AddressEncoder together with SmtpUtf8Handler. Your outbound SMTP server must support
the SMTPUTF8 extension.

* % F %

#7 - 2020-02-13 13:27 - Georg Ringer
- Related to Feature #90370: Use Egulias\EmailValidator for email validation added

#8 - 2020-02-13 13:27 - Georg Ringer
resolved with #90370

#9 - 2020-02-13 13:28 - Georg Ringer

- Status changed from New to Closed

2021-12-01 22


https://forge.typo3.org/issues/90370
http://www.tcpdf.org

